Leap0

Regenerate SSH access

Regenerate a specific SSH access credential for a sandbox. The old credential is invalidated.

POST
/v1/sandbox/{sandboxID}/ssh/{sshID}/regen

Regenerate a specific SSH access credential for a sandbox. The old credential is invalidated.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

sshID*string

Unique SSH credential identifier.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/ssh/string/regen"
{  "id": "string",  "sandbox_id": "string",  "password": "string",  "expires_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "ssh_command": "string"}
{  "message": "string"}
{  "message": "string"}